import App from './App'

import util from './common/js/util'
import request from './common/js/request'
import config from './common/js/config'
import cacheKey from './common/js/cacheKey'
import Vue from 'vue'
import share from '@/common/js/share.js'
import uView from 'uview-ui'
Vue.config.productionTip = false
Vue.prototype.$request = request
Vue.prototype.$util = util
Vue.prototype.$config = config
Vue.prototype.$cacheKey = cacheKey
Vue.mixin(share)
Vue.use(uView)
uni.$u.config.unit = 'rpx'
App.mpType = 'app'
const app = new Vue({
    ...App,
})

app.$mount()
